=== debian/changelog ===
ecdsautils (0.3.2+git20151018-2~bpo8+1) jessie-backports; urgency=low

  * Straight backport, initial upload.

 -- Steffen Moeller <moeller@debian.org>  Sat, 14 May 2016 21:04:27 +0200
