=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

CFLAGS+=-flto
CXXFLAGS+=-flto
LDFLAGS+=-flto


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@
