=== src/CMakeLists.txt ===
include_directories(${ECDSAUTIL_SOURCE_DIR}/include ${LIBUECC_INCLUDE_DIR})

add_subdirectory(cli)
add_subdirectory(lib)
