=== debian/changelog ===
ecdsautils (0.4.1-3) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 09:33:21 +0100

ecdsautils (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * debian/copyright:
    - Fix pattern for sha25sum
    - Update copyright years to 2022
  * debian/control:
    - Upgraded to policy 4.6.1, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:26:19 +0100

ecdsautils (0.4.1-1) unstable; urgency=high

  * Team upload.
  * New Upstream Version
    - CVE-2022-24884: Improper Verification of ECDSA Signatures
  * Add debian/upstream/metadata
  * Add debian/watch
  * debian/control:
    - Switch to compat 13
    - Switch maintainer to Debian CommunityWLAN Team
    - Switch to non-deprecated Pritiory optional
    - Allow build without root
    - Fix URL to homepage
    - Switch to Debian Salsa for repository
    - Upgraded to policy 4.6.0, no changes required
  * debian/rules
    - Enable all hardening options
  * Update debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 06 May 2022 12:04:19 +0200
