=== debian/control ===
Source: ecdsautils
Section: utils
Priority: optional
Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/freifunk-gluon/ecdsautils
Vcs-Git: https://salsa.debian.org/communitywlan-team/ecdsautils.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/communitywlan-team/ecdsautils
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libuecc-dev,
 pkg-config,

Package: ecdsautils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ECDSA elliptic curve cryptography command line tools
 The package provides a series of tools to support, all
 on the basis of the uecc library the
  * generation
  * signing
  * verifification
 of keys for elliptic key cryptography.
 -
 The package became popular in the Freifunk Wireless
 networks communities.
