=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS+=-flto
CXXFLAGS+=-flto
LDFLAGS+=-flto

CMAKE_EXTRA_FLAGS :=
CMAKE_EXTRA_FLAGS += -DBUILD_SHARED_LIBS=OFF

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_configure
