=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ecdsautils-$1\.tar\.gz/ \
  https://github.com/freifunk-gluon/ecdsautils/tags .*/v?(\d\S+)\.tar\.gz
