## ecdsautils 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.8.3)
 project(ECDSAUTIL C)
-set(ECDSAUTIL_VERSION 0.4.1)
+set(ECDSAUTIL_VERSION 0.4.2)
 
 set(CMAKE_MODULE_PATH ${ECDSAUTIL_SOURCE_DIR})
 find_package(libuecc REQUIRED)
