=== debian/changelog ===
ecdsautils (0.4.2-3) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    - Add Fix-build-with-CMake-4.patch, Fix build with CMake 4
      (Closes: #1112864)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 01 Sep 2025 11:04:53 +0200

ecdsautils (0.4.2-2) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:57:43 +0100

ecdsautils (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version
  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
  * debian/control:
    - Replace pkg-config with pkgconf
  * debian/watch:
    - Switch to api.github.com to check for releases

 -- Sven Eckelmann <sven@narfation.org>  Wed, 09 Oct 2024 20:52:56 +0200
