=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Steffen Moeller <moeller@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/freifunk-gluon/ecdsautils
 Vcs-Git: https://salsa.debian.org/communitywlan-team/ecdsautils.git -b debian/unstable
@@ -13,7 +13,7 @@
  cmake,
  debhelper-compat (= 13),
  libuecc-dev,
- pkg-config,
+ pkgconf,
 
 Package: ecdsautils
 Architecture: any
