=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-CFLAGS+=-flto
-CXXFLAGS+=-flto
-LDFLAGS+=-flto
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto
 
 CMAKE_EXTRA_FLAGS :=
 CMAKE_EXTRA_FLAGS += -DBUILD_SHARED_LIBS=OFF
