=== debian/watch ===
version=4

opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/freifunk-gluon/@PACKAGE@/tags?per_page=100 \
    https://api.github.com/repos/freifunk-gluon/@PACKAGE@/tarball/refs/tags/@ANY_VERSION@
